Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.meta.compat
Class ImportTool

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.meta.compat.ImportTool

public class ImportTool
extends java.lang.Object

Tool to import 3.x-style mapping information into 2.x via metadata extensions.

Constructor Summary
`ImportTool(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf, java.lang.ClassLoader loader)` Constructor.

Method Summary
`void` | `importMappings(com.solarmetric.rd.kodo.impl.jdbc.meta.MappingInfoRepository repos)` Import the given mapping information into Kodo 2.3 metadata extensions.
`static void` | `main(java.lang.String[] args)` Usage: java com.solarmetric.kodo.impl.jdbc.meta.compat.ImportTool [option]* <.mapping file>+
`static boolean` | `run(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf, java.lang.String[] args, java.lang.ClassLoader loader)` Run the tool.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportTool

    public ImportTool(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf,
                      java.lang.ClassLoader loader)

  Constructor. Supply configuration.

Method Detail

### importMappings

    public void importMappings(com.solarmetric.rd.kodo.impl.jdbc.meta.MappingInfoRepository repos)

  Import the given mapping information into Kodo 2.3 metadata extensions. The given mapping infos must not reference any classes outside of the given repository.

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Usage: java com.solarmetric.kodo.impl.jdbc.meta.compat.ImportTool [option]* <.mapping file>+

  Where the following options are recognized.

  - -properties/-p <properties file or resource>: The path or resource name of a Kodo properties file containing information such as the license key data as outlined in `JDOConfiguration`. Optional.
  - -<property name> <property value>: All bean properties of the Kodo `JDBCConfiguration` can be set by using their names and supplying a value. For example: `-licenseKey adslfja83r3lkadf`

  Each mapping supplied as an argument will be transferred to the corresponding class metadata in Kodo 2.3 metadata extension format.

    `java.io.IOException`

### run

    public static boolean run(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf,
                              java.lang.String[] args,
                              java.lang.ClassLoader loader)
                       throws java.io.IOException

  Run the tool. Return false if an invalid option was given.

    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.